- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | Static Public Attributes

# QListData Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 67 of file qlist.h.

`#include <qlist.h>`

List of all members.

## Classes
struct | Data
## Public Types
enum | { DataHeaderSize = sizeof(Data) - sizeof(void *) }
## Public Member Functions
Data * | detach (int alloc)
Data * | detach_grow (int *i, int n)
Data * | detach ()
Data * | detach2 ()
Data * | detach3 ()
void | realloc (int alloc)
void ** | erase (void **xi)
void ** | append (int n)
void ** | append ()
void ** | append (const QListData &l)
void ** | append2 (const QListData &l)
void ** | prepend ()
void ** | insert (int i)
void | remove (int i)
void | remove (int i, int n)
void | move (int from, int to)
int | size () const
bool | isEmpty () const
void ** | at (int i) const
void ** | begin () const
void ** | end () const
## Public Attributes
Data * | d
## Static Public Attributes
static Data | shared_null

## Member Enumeration Documentation

anonymous enum

Search for all occurrences

Enumerator:

  DataHeaderSize | Search for all occurrences

Definition at line 74 of file qlist.h.

    { DataHeaderSize = sizeof(Data) - sizeof(void *) };

## Member Function Documentation

Data* detach | ( | int | alloc | ) |

Search for all occurrences

Data* detach_grow | ( | int * | i,
|  | int | n
| ) |  |

Search for all occurrences

Data* detach | ( |  | ) |

Search for all occurrences

Data* detach2 | ( |  | ) |

Search for all occurrences

Data* detach3 | ( |  | ) |

Search for all occurrences

void realloc | ( | int | alloc | ) |

Search for all occurrences

void** erase | ( | void ** | xi | ) |

Search for all occurrences

void** append | ( | int | n | ) |

Search for all occurrences

void** append | ( |  | ) |

Search for all occurrences

void** append | ( | const QListData & | l | ) |

Search for all occurrences

void** append2 | ( | const QListData & | l | ) |

Search for all occurrences

void** prepend | ( |  | ) |

Search for all occurrences

void** insert | ( | int | i | ) |

Search for all occurrences

void remove | ( | int | i | ) |

Search for all occurrences

void remove | ( | int | i,
|  | int | n
| ) |  |

Search for all occurrences

void move | ( | int | from,
|  | int | to
| ) |  |

Search for all occurrences

int size | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 94 of file qlist.h.

    { return d->end - d->begin; }

bool isEmpty | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 95 of file qlist.h.

    { return d->end  == d->begin; }

void** at | ( | int | i | ) | const `[inline]`

Search for all occurrences

Definition at line 96 of file qlist.h.

    { return d->array + d->begin + i; }

void** begin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 97 of file qlist.h.

    { return d->array + d->begin; }

void** end | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 98 of file qlist.h.

    { return d->array + d->end; }

## Member Data Documentation

Data shared_null `[static]`

Search for all occurrences

Definition at line 82 of file qlist.h.

Data* d

Search for all occurrences

Definition at line 83 of file qlist.h.

The documentation for this struct was generated from the following file:

- QtCore/qlist.h